Subject: bug#33070: Underlying Gzip library

From: Sergey Ponomarev <[email-masked]>
Date: Sat, 7 Sep 2019 23:29:04 +0300

> There does exist another implementation of gzip
> called “pigz” which in fact uses zlib for compression and decompression.

Maybe it anyway makes a sense to migrate gzip to zlib? For example OpenWrt
which is Linux distro for very limited routers has both gzip and zlib. So
if gzip can reuse zlib then it may be smaller in size which is very
important for devices with 4mb of disk.

Also in the letter "bug#31065: Version 2??" I found that Paul Eggert said:

> I have a more-drastic idea in mind. Let's replace gzip's source code with
pigz's, make the minimal set of changes needed to make it compatible with
gzip and/or GNU in general, and call it gzip 2.0.

I like this idea too because then all distributives just update gzip and
everything should work without rewriting scripts who using gzip.

Is any progress on this? Could you make an official announce about this?